/* 
                    |-------------------------|
                    | PROGRAM NAME: SrCuBO.C  |
                    |                         |
                    |  Copyright: R.Darradi   |
-------------------------------------------------------------------------------
   Shastry-Sutherand model (SrCu2(BO3)2). Sha_Suth_model.ccm

   use ../Data/srcubo_spiral.ccm 
   set Alpha = 1 in solve.C
   set USR_FILE to sample_SrCuBO.C

    *-------*-------*-------*-------*
    |      /|       |      /|       |
    |  J'/  |       |    /  |       |
  J |  /    |       |  /    |       |
    |/      |       |/      |       |
    *-------*-------*-------*-------*
    |   J   |\      |4     3|\      |
    |       |  \    |       |  \    |
    |       |    \  |       |    \  |
    |       |      \|1     2|      \|
    *-------*-------*-------*-------*
    |      /|       |      /|       |
    |    /  |       |    /  |       |
    |  /    |       |  /    |       |
    |/      |       |/      |       |
    *-------*-------*-------*-------*

    bond1 = J = Delta
    bond2 = J'
*/

double usr_angle(int bond, int term, double alpha)
{

  double mult = 0.0;  // default for term13 = {10,11,12,13}
  double       phi2 = -2*alpha;
  double       phi1 = M_PI+alpha;  // diagonal J' 
  
  if (bond==1) {   // J' bit now...
    // delta term
    // here it's J' parameter model for the 2D Shastry-Sutherand model
    // now the J' part
    if      (term_13[term] == 1) mult=       cos(phi2);    // s^z s^z 
    else if (term_13[term] == 2) mult=  -0.5*sin(phi2);    // s^z s^+ 
    else if (term_13[term] == 3) mult=  -0.5*sin(phi2);    // s^z s^- 
    else if (term_13[term] == 4) mult=   0.5*sin(phi2);    // s^+ s^z
    else if (term_13[term] == 5) mult=   0.5*sin(phi2);    // s^- s^z
    else if (term_13[term] == 6) mult= 0.25*(cos(phi2)+1); // s^+ s^-
    else if (term_13[term] == 7) mult= 0.25*(cos(phi2)+1); // s^- s^+
    else if (term_13[term] == 8) mult= 0.25*(cos(phi2)-1); // s^+ s^+
    else if (term_13[term] == 9) mult= 0.25*(cos(phi2)-1); // s^- s^-
  } else  {   // J bit now... J=1
    if      (term_13[term] == 1) mult=       cos(phi1); // Oct05: -cos 
    else if (term_13[term] == 2) mult=  -0.5*sin(phi1);
    else if (term_13[term] == 3) mult=  -0.5*sin(phi1);
    else if (term_13[term] == 4) mult=   0.5*sin(phi1);
    else if (term_13[term] == 5) mult=   0.5*sin(phi1);
    else if (term_13[term] == 6) mult= 0.25*(cos(phi1)+1);
    else if (term_13[term] == 7) mult= 0.25*(cos(phi1)+1);
    else if (term_13[term] == 8) mult= 0.25*(cos(phi1)-1);
    else if (term_13[term] == 9) mult= 0.25*(cos(phi1)-1);
  }
  return mult;
}
